Bug 975446 - provide a way of specifying an xquery for receivers from an xml exchange (and a headers binding for headers exchange)
provide a way of specifying an xquery for receivers from an xml exchange (and...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 974061
  Show dependency treegraph
 
Reported: 2013-06-18 09:37 EDT by Gordon Sim
Modified: 2015-01-21 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-5.el6, qpid-cpp-0.22-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:57:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4766 None None None Never

  None (edit)
Description Gordon Sim 2013-06-18 09:37:30 EDT
Description of problem:

Need a way of specifying filters for xml- and headers- exchanges.

Version-Release number of selected component (if applicable):

qpid 0.22 did not include this

To test, create a receiver (e.g. using drain or qpid-receive for:

my-xml-exchange; {link:{filter:{name:foo,descriptor:"apache.org:xquery-filter:string",value:"declare variable $colour external; $colour = 'red'"}}}

and/or

my-headers-exchange; {link:{filter:{name:bar,descriptor:"apache.org:legacy-amqp-headers-binding:map",value:{x-match:all,colour:red, shape:square}}}}

and confirm bindings exist via qpid-config and/or by sending matching messages to the exchanges.
Comment 2 Petr Matousek 2013-11-28 08:54:50 EST
This issue has been fixed. Verified on rhel6.5 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-29.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.